package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;

public class ObjekModulAplikasiSVO extends BaseMasterVO {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 7926586168073613884L;
	
	private ModulAplikasiSVO modulAplikasi;

	public void setModulAplikasi(ModulAplikasiSVO modulAplikasi) {
		this.modulAplikasi = modulAplikasi;
	}

	public ModulAplikasiSVO getModulAplikasi() {
		return this.modulAplikasi;
	}
	
	private ObjekModulAplikasiVO objekModulAplikasiHead;

	public void setObjekModulAplikasiHead(ObjekModulAplikasiVO objekModulAplikasiHead) {
		this.objekModulAplikasiHead = objekModulAplikasiHead;
	}

	public ObjekModulAplikasiVO getObjekModulAplikasiHead() {
		return this.objekModulAplikasiHead;
	}

	private String kdObjekModulAplikasi;

	public void setKdObjekModulAplikasi(String kdObjekModulAplikasi) {
		this.kdObjekModulAplikasi = kdObjekModulAplikasi;
	}

	public String getKdObjekModulAplikasi() {
		return this.kdObjekModulAplikasi;
	}

	private String objekModulAplikasi;

	public void setObjekModulAplikasi(String objekModulAplikasi) {
		this.objekModulAplikasi = objekModulAplikasi;
	}

	public String getObjekModulAplikasi() {
		return this.objekModulAplikasi;
	}
	
	private Set<ObjekModulAplikasiSVO> children = new HashSet<>();

	public Set<ObjekModulAplikasiSVO> getChildren() {
		return children;
	}

	public void setChildren(Set<ObjekModulAplikasiSVO> children) {
		this.children = children;
	}

}
